Page MenuHomePhabricator

Article opened on Safari browser via iPhone froze app
Closed, ResolvedPublic

Description

I opened an article on my phone and it froze the app when it asked if I would like to add the article to a collection.

Event Timeline

Rdicerb raised the priority of this task from to Needs Triage.
Rdicerb updated the task description. (Show Details)
Rdicerb added projects: Gather, Mobile.
Rdicerb added a subscriber: Rdicerb.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 2 2015, 10:33 PM

I tried to add to a collections to try it out, and it froze.

iPhone 6 version 8.1.3

Hi @Rdicerb sorry to hear this. Could you do me a favour and check if http://en.m.wikipedia.beta.wmflabs.org/wiki/Headings?mobileaction=beta exhibits the same problem?

I suspect this is the same T93988 and we need to lightning deploy the fix there.

Jdlrobson moved this task from Needs triage to In sprint on the Gather board.Apr 3 2015, 8:33 PM
Jdlrobson set Security to None.
Moushira renamed this task from Article opened on Safari brower via iPhone froze app to Article opened on Safari browser via iPhone froze app.Apr 3 2015, 9:06 PM

Hi @Jdlrobson - I didn't have problem when I tried it in Beta. Thanks!

Perfect. We'll deploy the fix Monday 4-5pm UTC
In mean time I think if you click no thanks the problem should go away and you should be able to use the feature!

Nnemo added a subscriber: Nnemo.Apr 6 2015, 11:15 AM

Change 202038 had a related patch set uploaded (by Jhernandez):
Bring back the scroll event

https://gerrit.wikimedia.org/r/202038

@Jdlrobson Don't you think we would want to throttle the resize/scroll events instead of debouncing? There's no rush right now, debounce works for what we are using such events, but seems to me that if I wanted to rely on M.on scroll/resize I would want the events to trigger as the resizing/scrolling is happening instead of only once at the end of the action.

Change deployed.

@Jdlrobson see ⬆️ that other patch that adds back the scroll event (it was removed by the previous patch, doesn't seem to be used by anything, on MF at least)

Jdlrobson closed this task as Resolved.Apr 6 2015, 4:32 PM
Jdlrobson claimed this task.

@Rdicerb are you able to verify the fix?

Change 202038 merged by jenkins-bot:
Bring back the scroll event

https://gerrit.wikimedia.org/r/202038